// creator  : weidu.exe (version 23100)
// argument : DMANNO.DLG
// game		 : .
// source	 : ./override/DMANNO.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~DMANNO~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #60899 /* ~Greetings Death Match participants.  For all of you here, you will NOT be able to attack or cast spells while you are in this room.~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #60900 /* ~The goal of this contest is to retrieve the three death match ROGUE stones from the dungeon below us.  They have been hidden in random containers.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #60901 /* ~While on the level below us, you will be able to use any form of attack to take other ROGUE stones from fellow deathmatchers.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #60902 /* ~When you are killed, you will be respawned up on this floor, so that the contest may continue.  Bessen will be allow you to rest and memorize spells, as well as heal you.~ */
  IF ~~ THEN DO ~TakePartyItemAll("dmgem1")
SetGlobal("DeathMatch","GLOBAL",0)
~ EXIT
END

IF ~NumItemsLT("dmgem1",LastTalkedToBy,3)
~ THEN BEGIN 4 // from:
  SAY #60905 /* ~You do not have all three Rogue stones.  Return when you have all three stones.~ */
  IF ~~ THEN EXIT
END

IF ~NumItemsGT("dmgem1",LastTalkedToBy,2)
~ THEN BEGIN 5 // from:
  SAY #60907 /* ~You have WON!!!~ */
  IF ~InPartySlot(LastTalkedToBy,0)
~ THEN GOTO 6
  IF ~InPartySlot(LastTalkedToBy,1)
~ THEN GOTO 7
  IF ~InPartySlot(LastTalkedToBy,2)
~ THEN GOTO 8
  IF ~InPartySlot(LastTalkedToBy,3)
~ THEN GOTO 9
  IF ~InPartySlot(LastTalkedToBy,4)
~ THEN GOTO 10
  IF ~InPartySlot(LastTalkedToBy,5)
~ THEN GOTO 11
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #60910 /* ~I will now permanently destroy your opponents.~ */
  IF ~~ THEN DO ~SetGlobalTimer("EndDeathMatch","GLOBAL",15)
SetGlobal("DeathmatchWinner","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 5.1
  SAY #60911 /* ~I will now permanently destroy your opponents.~ */
  IF ~~ THEN DO ~SetGlobalTimer("EndDeathMatch","GLOBAL",15)
SetGlobal("DeathmatchWinner","GLOBAL",2)
~ EXIT
END

IF ~~ THEN BEGIN 8 // from: 5.2
  SAY #60912 /* ~I will now permanently destroy your opponents.~ */
  IF ~~ THEN DO ~SetGlobalTimer("EndDeathMatch","GLOBAL",15)
SetGlobal("DeathmatchWinner","GLOBAL",3)
~ EXIT
END

IF ~~ THEN BEGIN 9 // from: 5.3
  SAY #60913 /* ~I will now permanently destroy your opponents.~ */
  IF ~~ THEN DO ~SetGlobalTimer("EndDeathMatch","GLOBAL",15)
SetGlobal("DeathmatchWinner","GLOBAL",4)
~ EXIT
END

IF ~~ THEN BEGIN 10 // from: 5.4
  SAY #60914 /* ~I will now permanently destroy your opponents.~ */
  IF ~~ THEN DO ~SetGlobalTimer("EndDeathMatch","GLOBAL",15)
SetGlobal("DeathmatchWinner","GLOBAL",5)
~ EXIT
END

IF ~~ THEN BEGIN 11 // from: 5.5
  SAY #60915 /* ~I will now permanently destroy your opponents.~ */
  IF ~~ THEN DO ~SetGlobalTimer("EndDeathMatch","GLOBAL",15)
SetGlobal("DeathmatchWinner","GLOBAL",6)
~ EXIT
END
